{{headerleaflet|1=Live cams}}

Una colección de '''live cams''' (cámaras en vivo) de todo el mundo. Puedes abrir varias a la vez y maximizar la pantalla en el icono cuadrado del mapa.

<div id="map" style="float: center;width: 100%; height: 500px;"></div>

<script type="text/javascript">
    // http://leafletjs.com/examples/custom-icons.html
    
    var places = [
        
        // ARGENTINA
        ["Four Seasons Hotel", "Buenos Aires", "Argentina", -34.603836, -58.381560, "UCTfsg3ySfE"], 
        
        // CZECH REPUBLIC
        ["Lipno", "Radslav", "Czech Republic", 48.639228, 14.229318, "2CuSb-r8yHM"], 
        
        // FRANCE
        ["Plage", "Saint-Malo", "France", 48.653941, -2.012864, "FrcXRWlLAsw"], 
        ["Le Port", "Saint-Malo", "France", 48.648111, -2.007500, "fQ8pFCrVGzE"], 
        ["...", "Saint-Pol de Léon", "France", 48.686100, -3.985000, "NqfvCIKCNqc"], 
        
        // GERMANY
        ["Cuxhaven", "Cuxhaven", "Germany", 53.873326, 8.714198, "J2ggwyOl-_0"], 
        
        // IRELAND
        ["Inch Beach", "Kerry", "Ireland", 52.141163, -9.982985, "F3Q1n_DpA9o"], 
        
        // ITALY
        ["Piazza San Francesco", "Assisi", "Italy", 43.074364, 12.606665, "Age6SBeTyPQ"], 
        
        // JAPAN
        ["Shibuya crossing", "Shibuya", "Japan", 35.659517, 139.700425, "nKMuBisZsZI"], 
        ["Tokyo Tower", "Tokyo", "Japan", 35.658561, 139.745414, "OIfZAAm8tlA"], 
        
        // MEXICO
        ["Volcan Popocatepetl", "Puebla", "Mexico", 19.023540, -98.625968, "nM-4KS1Z35g"], 
        
        // NORWAY
        ["Hotel Union", "Geiranger", "Norway", 62.096444, 7.210889, "AuLWGxwPZS4"], 
        
        // PORTUGAL
        ["Funchal Marina", "Madeira", "Portugal", 32.646237, -16.910152, "iOFJhwl68hc"], 
        
        // SOUTH AFRICA
        ["Twin Towers", "Sea Point", "South Africa", -33.908146, 18.395363, "ObCoEm0o94A"], 
        
        // SPAIN
        ["Salinas Beach", "Asturias", "Spain", 43.576830, -5.963462, "uXdFF_4lrUI"], 
        ["Plaza de Sevilla", "Cádiz", "Spain", 36.530002, -6.289423, "NiduuFQL_0A"], 
        ["Santa Eulalia Beach", "Ibiza", "Spain", 38.982902, 1.534100, "MVsuoxn__AY"], 
        ["Lanzarote Airport", "Lanzarote", "Spain", 28.951728, -13.605224, "0TPFluUNlCw"], 
        ["Picos de Europa", "León", "Spain", 43.172924, -4.869086, "5FsA0eqsDDs"], 
        ["Riaño y Picos Yordas", "León", "Spain", 42.971671, -4.994144, "4ws54fLpmv4"], 
        ["Parque Nacional Sierra de Guadarrama", "Madrid", "Spain", 40.846911, -3.943846, "2qAQ1DUFWhY"], 
        ["Auditorium de Palma de Mallorca", "Palma de Mallorca", "Spain", 39.567380, 2.629216, "aizKfaqqM2U"], 
        ["Plaça Mercadal", "Reus", "Spain", 41.154995, 1.108732, "qL3osQtMBls"], 
        ["Playa", "Valencia", "Spain", 39.606788, -0.264587, "xZ2vjK-CiRY"], 
        
        // THAILAND
        ["Crystal Bay", "Lamai", "Thailand", 9.477437, 100.066786, "tWshcGQ8K60"], 
        
        // UNITED KINGDOM
        ["Oxford Martin School", "Oxford", "United Kingdom", 51.754381, -1.256651, "cDM3A7m_qXE"], 
        ["Polzeath Beach", "Polzeath", "United Kingdom", 50.574072, -4.915656, "hTVTOcf6ecI"], 
        ["Salty Cottage", "Teignmouth", "United Kingdom", 50.543722, -3.498431, "Yl6yhjajSjk"], 

    ];

    var map = L.map('map', {
        fullscreenControl: {
            pseudoFullscreen: true, 
        }
    });
    map.setView([20, 0], 2);
    mapLink = 
        '<a href="https://openstreetmap.org">OpenStreetMap</a>';
    L.tileLayer(
        'https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
        attribution: '&copy; ' + mapLink + ' Contributors',
        maxZoom: 12,
        }).addTo(map);
    
    fixlink = 'Fix this link or add a new live cam <a href="https://github.com/emijrp/emijrp.github.io/edit/master/viajes/live-cams.wiki">here</a>.';
    
    for (var i = 0; i < places.length; i++) {
        marker = new L.marker([places[i][3], places[i][4]])
            .bindPopup('<b>' + places[i][0] + ', ' + places[i][1] + ', ' + places[i][2] + '</b><br/><br/><iframe width="300" height="200" src="https://www.youtube-nocookie.com/embed/' + places[i][5] + '?autoplay=1&rel=0" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe><br/><br/>' + fixlink, { autoClose:false, closeOnClick:false, closePopupOnClick: false } )
            .addTo(map);
    }
    
    var t = L.terminator();
    t.addTo(map);
    setInterval(function(){updateTerminator(t)}, 10000);
    function updateTerminator(t) {
      var t2 = L.terminator();
      t.setLatLngs(t2.getLatLngs());
      t.redraw();
    }

</script>

{{viajes}}
{{footer}}
